@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

:root{
    --button-hover-color: #2F80ED;
    --main-bg:#f2f2f2;
    --h3-color:#333333;
    --paragraph-color-other_color:#4F4F4F;
}


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat';
}

body{
    background: var(--main-bg);
    
    
}

.container{
    height: 100%;
    width: 70%;
    display: grid;
    grid-template-columns: 40% 60%;
    /* grid-template-rows: repeat(12,1fr);   */
    grid-template-rows: repeat(12,fit-content(auto));  
    row-gap: 16px;
    column-gap: 16px;
    margin: 16px auto;
    padding: 0 16px;
}

.box{
    background: #fff;
    border-radius: 10px;
}

.box1{
    background-color: white;
    padding: 16px;
    padding-bottom: 8px;
    grid-column: 1/3;
    grid-row: 1/2;
    display: flex;
    justify-content: space-between;
}

.image_container{
    width: 40%;
}

.image_container>img{
    max-width: 300px;
    width: 100%;
    border-radius: 12px;
    margin: 0 auto;
    display: block;
}

.box1_container{
    display: grid;
    width: 60%;
    grid-template-columns: repeat(2,1fr);
}

.name-job>h3{
    font-weight: 600;
    font-size: 24px;
    color: var(--paragraph-color-other_color);
}

.name-job>p,.profile_details>p{
    font-weight: 500;
    font-size: 18px;
    color: #828282;
}

.details>p{
    /* font-weight: 500;
    font-size: 18px;
    color: var(--paragraph-color-other_color); */
    margin-bottom: 12px;
}

.profile_details>p:nth-child(2){
    margin-top: 8px;
}


.profile_details{
    grid-column: 1/span 2;
}


.box2{
    grid-column: 1/2;
    grid-row:2/3;
    padding: 0 16px;
}

.skill_box{
    display: flex;
    justify-content:space-between;
    align-items: center;
    margin-bottom: 16px;
}

.skill_box>h5{
    font-weight: 600;
    font-size: 16px;
    color: var(--paragraph-color-other_color);
}

.box2>h3{
    font-weight: 700;
    font-size: 18px;
    color: var(--paragraph-color-other_color);
    margin: 16px 0;
}
.bar{
    width: 70%;
    height: 9.6px;
    background-color: #C4C4C4;
    border-radius: 12px;
}

.bar>.weight{
    height: 9.6px;
    background-color: var(--button-hover-color);
    border-radius: 12px;
}


.javascript>.weight{
    width: 80%;
}
.react>.weight{
    width: 50%;
}
.css>.weight{
    width: 80%;
}
.vue>.weight{
    width: 70%;
}

.redux>.weight{
    width: 90%;
}




.box3{
    grid-column: 1/2;
    grid-row:3/9;
    
}
.box3 h3{
    font-weight: 500;
    font-size: 24px;
    color: var(--paragraph-color-other_color);
}

.box3 h5{
    font-weight: 600;
    font-size: 18px;
    color: var(--h3-color);
}

.box3 p{
    font-weight: 500;
    font-size: 16px;
    color: #828282;
}

.box3 img{
    width: 100%;
    height: 160px;
    object-fit: cover;
    border-radius: 10px;
    display: block;
    margin: 0 auto;
    margin-bottom: 16px;
}

.box3_container{
    padding: 16px;   
}


.box3_game{
    margin: 16px 0;
}


.box4{
    grid-column: 2/4;
    grid-row:2/5;
    padding: 24px;
    position: relative;
}

.box4>h3{
    font-weight: 500;
    font-size: 16px;
    color: #E0E0E0;
}

.box4_image_container{
    display: flex;
    gap: 40px;
    margin-top: 24px;
    
}
.box4_image_container>img{
    width: 60%;
    border-radius: 12px;
    object-fit: cover;
}

.box4_image_container>h3{
    font-weight: 500;
    font-size: 24px;
    line-height: 30px;
    color: var(--h3-color);
}

.para_container>p{
    font-weight: 500;
    font-size: 16px;
    line-height: 20px;
    color: #828282;
    max-width: 490px;
}
.para_container{
    margin-top: 30px;
}
#second{
    margin-top: 16px;
}

.box4 a{
    text-decoration: none;
    color: var(--button-hover-color);
    position: absolute;
    bottom: 8px;
    left: 16px;
}


.box5{
    grid-column: 2/4;
    grid-row:5/9;
    padding: 24px;
}

.box5>h3{
    font-weight: 500;
    font-size: 24px;
    color: var(--paragraph-color-other_color);
}

.experience{
    display: flex;
    gap: 64px;
    justify-content: space-around;
    margin-bottom: 82px;
}

.exp_container{
    margin-top: 16px;
}
.experience>img{
    width: 20%;
    height: auto;
    object-fit: fill;
}

.exp_details{
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.exp_details>p{
    max-width: 410px;
}

.details>p{
    font-weight: 500;
    font-size: 14px;
    color: var(--paragraph-color-other_color);
}

.details>h5{
    font-weight: 600;
    font-size: 16px;
    color: var(--h3-color);
}

.box6{
    grid-column: 1/3;
    grid-row:9/10;
    padding: 16px;
}


.box6>h3{
    font-weight: 500;
    font-size: 18px;
    color: var(--paragraph-color-other_color);
    margin-bottom: 16px;
}

.button_container{
    display: flex;
    gap: 16px;
}

.button_container>button{
    padding: 8px 16px;
    border: 1px solid var(--paragraph-color-other_color);
    border-radius: 12px;
    color: var(--paragraph-color-other_color);
    font-weight: 500;
    font-size: 14px;
    transition: background-color 0.2s ease-in-out,
    color 0.2s ease-in-out;
}

.button_container>button:hover{
    border: 1px solid var(--button-hover-color);
    cursor: pointer;
    background-color: var(--button-hover-color);
    color: white;
}

.box7{
    background-color: var(--main-bg);
    grid-column: 1/3;
    grid-row:10/13;
    display: flex;
    justify-content: space-between;
}

.box7_container{
    width: 32%;
    /* border: 1px solid black; */
    border-radius: 10px;
    padding: 16px;
    background-color: white;
}

.box7_container>img{
    width: 100%;
    height: 240px;
    border-radius: 12px;
    object-fit: cover;
}

.box7_container>span{
    font-weight: 500;
    font-size: 16px;
    color: var(--paragraph-color-other_color);
}

.box7_container>h3{
    font-weight: 500;
    font-size: 24px;
    color: var(--h3-color);
    margin: 24px 0;
}

.box7_container>p{
    font-weight: 500;
    font-size: 16px;
    color: #828282;
    line-height: 20px;
    margin-bottom: 40px;
}


.button_box{
    display: flex;
    justify-content: center;
    gap: 8px;
}

.box7_container button{
    padding: 12px 24px;
    border: 1px solid var(--paragraph-color-other_color);
    border-radius: 12px;
    color: var(--paragraph-color-other_color);
    font-weight: 500;
    font-size: 14px;
    transition: background-color 0.2s ease-in-out,
    color 0.2s ease-in-out;
}

.box7_container button:hover{
    border: 1px solid var(--button-hover-color);
    cursor: pointer;
    background-color: var(--button-hover-color);
    color: white;
}

@media only screen and (max-width:1441px){
    .container{
        width: 92%;
    }
    
}

@media only screen and (max-width:1023px){
    .container{
        grid-template-columns: auto;
    }
    
    .box1,
    .box2,
    .box3,
    .box4,
    .box5,
    .box6,
    .box7{
        width: 100%;
        grid-column: 1/3;
        grid-row: auto;
    }
    
    .box1{
        display: flex;
        flex-direction: column;
    }

    .image_container{
        width: 100%;
    
    }

    .box1_container{
        margin-top: 16px;
        width:100%;
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

    .image_container>img{
        max-width: 400px;
    }

    .box4_image_container{
        flex-direction: column;
    }
    .box4_image_container>img{
        width: 100%;
    }
    .para_container>p{
        max-width: 100%;
    }
    .box7{
        flex-direction: column;
        gap: 16px;
    }
    .box7_container{
        width: 100%;
    }

    .button_box{
        justify-content: flex-start;
    }
    
}

@media only screen and (max-width:321px){
    .container{
        width: 100%;
        padding: 0;
        
    }


}